diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/JSGlobalObject.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/JSGlobalObject.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/JSGlobalObject.h	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/JSGlobalObject.h	2022-03-28 15:11:04.218708967 -0500
@@ -325,10 +325,7 @@ public:
     LazyProperty<JSGlobalObject, IntlCollator> m_defaultCollator;
     LazyProperty<JSGlobalObject, Structure> m_collatorStructure;
     LazyProperty<JSGlobalObject, Structure> m_displayNamesStructure;
-    LazyProperty<JSGlobalObject, Structure> m_listFormatStructure;
-    LazyProperty<JSGlobalObject, Structure> m_localeStructure;
     LazyProperty<JSGlobalObject, Structure> m_pluralRulesStructure;
-    LazyProperty<JSGlobalObject, Structure> m_relativeTimeFormatStructure;
     LazyProperty<JSGlobalObject, Structure> m_segmentIteratorStructure;
     LazyProperty<JSGlobalObject, Structure> m_segmenterStructure;
     LazyProperty<JSGlobalObject, Structure> m_segmentsStructure;
@@ -892,11 +889,8 @@ public:
     Structure* collatorStructure() { return m_collatorStructure.get(this); }
     Structure* dateTimeFormatStructure() { return m_dateTimeFormatStructure.get(this); }
     Structure* displayNamesStructure() { return m_displayNamesStructure.get(this); }
-    Structure* listFormatStructure() { return m_listFormatStructure.get(this); }
     Structure* numberFormatStructure() { return m_numberFormatStructure.get(this); }
-    Structure* localeStructure() { return m_localeStructure.get(this); }
     Structure* pluralRulesStructure() { return m_pluralRulesStructure.get(this); }
-    Structure* relativeTimeFormatStructure() { return m_relativeTimeFormatStructure.get(this); }
     Structure* segmentIteratorStructure() { return m_segmentIteratorStructure.get(this); }
     Structure* segmenterStructure() { return m_segmenterStructure.get(this); }
     Structure* segmentsStructure() { return m_segmentsStructure.get(this); }
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/MathCommon.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/MathCommon.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/MathCommon.h	2022-02-23 02:58:54.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/MathCommon.h	2022-03-28 15:11:04.218708967 -0500
@@ -63,11 +63,6 @@ inline bool isSafeInteger(double value)
     return std::trunc(value) == value && std::abs(value) <= maxSafeInteger();
 }
 
-inline bool isNegativeZero(double value)
-{
-    return std::signbit(value) && value == 0;
-}
-
 // This in the ToInt32 operation is defined in section 9.5 of the ECMA-262 spec.
 // Note that this operation is identical to ToUInt32 other than to interpretation
 // of the resulting bit-pattern (as such this method is also called to implement
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/TemporalObject.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/TemporalObject.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/TemporalObject.cpp	2022-02-23 02:58:54.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/TemporalObject.cpp	2022-03-29 15:04:28.984761209 -0500
@@ -462,14 +462,6 @@ double roundNumberToIncrement(double x,
         return std::trunc(quotient) * increment;
     case RoundingMode::HalfExpand:
         return std::round(quotient) * increment;
-
-    // They are not supported in Temporal right now.
-    case RoundingMode::Expand:
-    case RoundingMode::HalfCeil:
-    case RoundingMode::HalfFloor:
-    case RoundingMode::HalfTrunc:
-    case RoundingMode::HalfEven:
-        return std::trunc(quotient) * increment;
     }
 
     RELEASE_ASSERT_NOT_REACHED();
@@ -510,13 +502,6 @@ Int128 roundNumberToIncrement(Int128 x,
         if (abs(remainder * 2) >= increment)
             quotient += sign ? -1 : 1;
         break;
-    // They are not supported in Temporal right now.
-    case RoundingMode::Expand:
-    case RoundingMode::HalfCeil:
-    case RoundingMode::HalfFloor:
-    case RoundingMode::HalfTrunc:
-    case RoundingMode::HalfEven:
-        break;
     }
     return quotient * increment;
 }
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/TemporalObject.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/TemporalObject.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/TemporalObject.h	2022-02-23 02:58:54.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/TemporalObject.h	2022-03-28 15:11:04.222708988 -0500
@@ -88,13 +88,8 @@ private:
 enum class RoundingMode : uint8_t {
     Ceil,
     Floor,
-    Expand,
     Trunc,
-    HalfCeil,
-    HalfFloor,
-    HalfExpand,
-    HalfTrunc,
-    HalfEven
+    HalfExpand
 };
 
 enum class Precision : uint8_t {
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/tools/JSDollarVM.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/tools/JSDollarVM.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/tools/JSDollarVM.cpp	2022-02-23 02:58:54.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/tools/JSDollarVM.cpp	2022-03-28 15:11:04.222708988 -0500
@@ -61,7 +61,6 @@
 #include <wtf/Language.h>
 #include <wtf/ProcessID.h>
 #include <wtf/StringPrintStream.h>
-#include <wtf/unicode/icu/ICUHelpers.h>
 
 #if !USE(SYSTEM_MALLOC)
 #include <bmalloc/BPlatform.h>
@@ -3664,7 +3663,9 @@ JSC_DEFINE_HOST_FUNCTION(functionSetUser
 JSC_DEFINE_HOST_FUNCTION(functionICUVersion, (JSGlobalObject*, CallFrame*))
 {
     DollarVMAssertScope assertScope;
-    return JSValue::encode(jsNumber(WTF::ICU::majorVersion()));
+    UVersionInfo versionInfo;
+    u_getVersion(versionInfo);
+    return JSValue::encode(jsNumber(versionInfo[0]));
 }
 
 JSC_DEFINE_HOST_FUNCTION(functionICUHeaderVersion, (JSGlobalObject*, CallFrame*))
diff -urp webkitgtk-2.36.0.icu60/Source/WebCore/platform/text/CharacterProperties.h webkitgtk-2.36.0.icu52/Source/WebCore/platform/text/CharacterProperties.h
--- webkitgtk-2.36.0.icu60/Source/WebCore/platform/text/CharacterProperties.h	2022-02-23 02:59:02.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/WebCore/platform/text/CharacterProperties.h	2022-03-28 15:11:04.222708988 -0500
@@ -41,10 +41,8 @@ static_assert(UBLOCK_SYMBOLS_AND_PICTOGR
     switch (static_cast<int>(ublock_getCode(character))) {
     case UBLOCK_MISCELLANEOUS_SYMBOLS:
     case UBLOCK_DINGBATS:
-    case UBLOCK_MISCELLANEOUS_SYMBOLS_AND_PICTOGRAPHS:
     case UBLOCK_EMOTICONS:
     case UBLOCK_TRANSPORT_AND_MAP_SYMBOLS:
-    case UBLOCK_SUPPLEMENTAL_SYMBOLS_AND_PICTOGRAPHS:
     case UBLOCK_SYMBOLS_AND_PICTOGRAPHS_EXTENDED_A:
         return true;
     default:
@@ -80,12 +78,12 @@ inline bool isEmojiRegionalIndicator(UCh
 
 inline bool isEmojiWithPresentationByDefault(UChar32 character)
 {
-    return u_hasBinaryProperty(character, UCHAR_EMOJI_PRESENTATION);
+    return false;
 }
 
 inline bool isEmojiModifierBase(UChar32 character)
 {
-    return u_hasBinaryProperty(character, UCHAR_EMOJI_MODIFIER_BASE);
+    return false;
 }
 
 inline bool isDefaultIgnorableCodePoint(UChar32 character)
diff -urp webkitgtk-2.36.0.icu60/Source/WTF/wtf/Range.h webkitgtk-2.36.0.icu52/Source/WTF/wtf/Range.h
--- webkitgtk-2.36.0.icu60/Source/WTF/wtf/Range.h	2022-02-23 02:58:57.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/WTF/wtf/Range.h	2022-03-28 15:11:04.222708988 -0500
@@ -105,8 +105,6 @@ public:
     Type begin() const { return m_begin; }
     Type end() const { return m_end; }
 
-    Type distance() const { return end() - begin(); }
-
     bool overlaps(const Range& other) const
     {
         return WTF::rangesOverlap(m_begin, m_end, other.m_begin, other.m_end);
